<!DOCTYPE html>
<html lang="ja">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>
蔵書リスト画面
</title>

</head>
<body>
<p>
ゼミ室　蔵書管理システム
</p>

<table width="80%" border="1">
	<tr>
		<th scope="col">タイトル</th>
		<th scope="col">カテゴリ</th>
		<th scope="col">出版社</th>
		<th scope="col">発行年</th>
		<th scope="col">操作</th>
	</tr>

<?php

    try {
        $db = new PDO('mysql:host=localhost;????;charset=utf8',
		????,????);
	$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION); // PDOエラー時に例外発生させるように設定

	$sql = $db->prepare("select *,books.id as book_id,categories.name as category_name,publishers.name as publisher_name from (books inner join categories on books.category_id = categories.id) inner join publishers on books.publisher_id = publishers.id");
	$sql->execute();

	while ($row = $sql->fetch()) {
		echo("<tr>");
		echo("<td>".$row['title']."</td>");
		echo("<td>".$row["category_name"]."</td>");
		echo("<td>".$row['publisher_name']."</td>");
		echo("<td>".$row['year']."</td>");
		echo("<td><a href='/~ykawano/book_show.php?id=".$row['book_id']."'>表示</a>\t<a href='/~ykawano/book_del.php?id=".$row['book_id']."' onclick=\"return confirm('削除してもいいですか？') \">削除</a></td>");
		echo("</tr>");

	}
    } catch( PDOException $e ){ // データベース処理の例外キャッチ
	exit('データベース処理失敗：'.$e->getMessage());
    }

?>
</table> 

<p>
<input type="button" onclick="location.href='/~ykawano/book_form.php'" value="書籍登録">
</p>
</body> 
</html>