<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8">
<title>書籍登録</title>
</head>
<body>

<h2>書籍登録</h2>

<?php

// フォームデータの取得
$id = $_GET["id"];

try {  // データベース処理の例外範囲始まり

  // データベースへの接続
  $db = new PDO('mysql:host=localhost;dbname=????;charset=utf8',????,????);
  $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);  // PDOエラー時に例外発生させるように設定

  // 書籍情報の取得
  $sql = $db->prepare("select *,categories.name as category_name,publishers.name as publisher_name from (books inner join categories on books.category_id = categories.id) inner join publishers on books.publisher_id = publishers.id where books.id = ?");
  $sql->bindValue(1, $id);
  $sql->execute();
  $book = $sql->fetch();

} catch( PDOException $e ){  // データベース処理の例外キャッチ
  exit('データベース処理失敗：'.$e->getMessage());
}

echo "登録されている書籍情報を表示します。";
echo "<p>";
echo "タイトル: {$book['title']}<br>";
echo "カテゴリ: {$book['category_name']}<br>";
echo "出版社: {$book['publisher_name']}<br>";
echo "年: {$book['year']}";
echo "</p>";
echo "<a href='book_list.php'>書籍一覧ページへ</a>";
?>

</body>
</html>