<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8">
<meta http-equiv="refresh" content="3;URL=/~ykawano/book_list.php">
<title>書籍削除</title>
</head>
<body>

<?php

// フォームデータの取得
$id = $_GET["id"];

try {  // データベース処理の例外範囲始まり

  // データベースへの接続
  $db = new PDO('mysql:host=localhost;dbname=????;charset=utf8',
	????,????);
  $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);  // PDOエラー時に例外発生させるように設定
// SQL文の準備と実行

  // 書籍情報の取得
  $sql = $db->prepare("select * from books where id = ?");
  $sql->bindValue(1, $id);
  $sql->execute();
  $book = $sql->fetch();

  echo("書籍ID：".$id.",タイトル：【".$book['title']."】の情報を削除しています。");

  $sql2 = $db->prepare("delete from books where id = ?");
  $sql2->bindValue(1, $id);
  $sql2->execute();

} catch( PDOException $e ){  // データベース処理の例外キャッチ
  exit('データベース処理失敗：'.$e->getMessage());
}

?>



</body>
</html>